package org.jeecg.modules.ctop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.BindAccount;

import java.io.UnsupportedEncodingException;

/**
 * @Description: 账户绑定
 * @Author: jeecg-boot
 * @Date: 2019-07-30
 * @Version: V1.0
 */
public interface IBindAccountService extends IService<BindAccount> {
    boolean bindLogin(String advertiserId, String accountName, String password, String loginType);

    String bindAuthorization(String advertiserId, String authorizationType) throws UnsupportedEncodingException;

    String getKuaishouCodeUrl(String state) throws UnsupportedEncodingException;

    String getByteDanceCodeUrl(String state) throws UnsupportedEncodingException;


    void addBindAccount(Long accountId, String type, String state, String loginType);
}
